Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 1963)
+++ admin/categories.php	(revision 1954)
@@ -144,5 +144,5 @@
 	while ($rs->fetch())
 	{
-		$attr = 'id="cat_'.$rs->cat_id.'" class="cat-line clearfix"';
+		$attr = 'id="cat_'.$rs->cat_id.'"';
 
 		if ($rs->level > $level) {
@@ -156,19 +156,17 @@
 		}
 
-		echo   
-		'<p><label class="classic" for="cat_'.$rs->cat_id.'"><a href="category.php?id='.$rs->cat_id.'">'.html::escapeHTML($rs->cat_title).'</a></label> </p>'.
-		'<p>(<a href="posts.php?cat_id='.$rs->cat_id.'">'.
+		echo
+		'<p>'.	   
+		'<label class="classic" for="cat-'.$rs->cat_id.'"><a href="category.php?id='.$rs->cat_id.'">'.html::escapeHTML($rs->cat_title).'</a></label>'.
+		' (<a href="posts.php?cat_id='.$rs->cat_id.'">'.
 		sprintf(($rs->nb_post > 1 ? __('%d entries') : __('%d entry') ),$rs->nb_post).'</a>'.
-		', '.__('total:').' '.$rs->nb_total.')</p>'.
-		'<p><span class="cat-url">'.__('URL:').' <code>'.html::escapeHTML($rs->cat_url).'</code></span></p>';
-
-		echo
-		'<p class="cat-buttons">';
+		', '.__('total:').' '.$rs->nb_total.') '.
+			'<span class="cat-url">'.__('URL:').' <code>'.html::escapeHTML($rs->cat_url).'</code></span>';
+
 		if ($rs->nb_total>0) {
 			// remove current category
-			echo
-			'<label>'.__('Move entries to').'</label> '.			   
-			form::combo(array('mov_cat['.$rs->cat_id.']', 'mov_cat_'.$rs->cat_id),array_filter($categories_combo, create_function('$cat', 'return $cat->value!=$GLOBALS[\'rs\']->cat_id;')),'','').
-			' <input type="submit" class="reset" name="mov['.$rs->cat_id.']" value="'.__('OK').'"/>';
+			echo			   
+			form::combo('mov_cat['.$rs->cat_id.']',array_filter($categories_combo, create_function('$cat', 'return $cat->value!=$GLOBALS[\'rs\']->cat_id;')),'','').
+			'<input type="submit" class="" name="mov['.$rs->cat_id.']" value="'.__('Ok').'"/>';
 		   
 			$attr_disabled = ' disabled="disabled"';
@@ -191,21 +189,21 @@
 	'</div>';
 
-	echo '<div class="clear">';
+	echo '<div class="fieldset"><h3 class="clear hidden-if-no-js">'.__('Categories order').'</h3>';
 
 	if ($core->auth->check('categories',$core->blog->id) && $rs->count()>1) {
 		if (!$core->auth->user_prefs->accessibility->nodragdrop) {
-			echo '<p class="form-note hidden-if-no-js">'.__('To rearrange categories order, move items by drag and drop, then click on “Save categories order” button.').'</p>';
+			echo '<p class="hidden-if-no-js">'.__('To rearrange categories order, move items by drag and drop, then click on “Save categories order” button.').'</p>';
 		}
 		echo
-		'<p><span class="hidden-if-no-js">'.
+		'<p class="hidden-if-no-js">'.
 		'<input type="hidden" id="categories_order" name="categories_order" value=""/>'.
 		'<input type="submit" name="save_order" id="save-set-order" value="'.__('Save categories order').'" />'.
-		'</span> ';
-	} else {
-		echo '<p>';
+		'</p>';
 	}
 
 	echo
-	'<input type="submit" class="reset" name="reset" value="'.__('Reorder all categories on the top level').'" />'.
+	'<p class="hidden-if-js right"><input type="submit" name="reset" value="'.__('Reorder all categories on the top level and delete selected categories').'" />'.
+	$core->formNonce().'</p>'.
+	'<p class="hidden-if-no-js"><input type="submit" name="reset" value="'.__('Reorder all categories on the top level').'" />'.
 	$core->formNonce().'</p>'.
 	'</div></form>';
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 1941)
+++ admin/post.php	(revision 1964)
@@ -447,10 +447,10 @@
 					'</p>',
 				'post_lang' =>
-					'<p><label for="post_lang" class="ib">'.__('Entry lang').'</label>'.
+					'<p><label for="post_lang" class="ib">'.__('Entry language').'</label>'.
 					form::combo('post_lang',$lang_combo,$post_lang).
 					'</p>',
 				'post_format' =>
 					'<div>'.
-					'<h5 id="label_format"><label for="post_format" class="ib">'.__('Text formating').'</label></h5>'.
+					'<h5 id="label_format"><label for="post_format" class="ib">'.__('Text formatting').'</label></h5>'.
 					'<p>'.form::combo('post_format',$formaters_combo,$post_format,'maximal').
 					'</p>'.
@@ -459,5 +459,5 @@
 					__('Convert to XHTML').'</a></p></div>')),
 		'metas-box' => array(
-			'title' => __('Ordering'),
+			'title' => __('Filing'),
 			'items' => array(
 				'post_selected' => 
Index: admin/posts_actions.php
===================================================================
--- admin/posts_actions.php	(revision 1719)
+++ admin/posts_actions.php	(revision 1964)
@@ -462,5 +462,5 @@
 	$fields->getEntries().
 	
-	'<p><label for="new_lang" class="classic">'.__('Entry lang:').'</label> '.
+	'<p><label for="new_lang" class="classic">'.__('Entry language:').'</label> '.
 	form::combo('new_lang',$lang_combo,'');
 	
Index: locales/po_update.sh
===================================================================
--- locales/po_update.sh	(revision 1945)
+++ locales/po_update.sh	(revision 1945)
@@ -0,0 +1,195 @@
+#!/bin/sh
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+
+# Usage (from l10n-plugins root)
+# po_update.sh <dotclear-root> [<lang>]
+
+export LANG=C
+
+XGETTEXT=xgettext
+MSGMERGE=msgmerge
+
+PLUGINS="
+aboutConfig
+akismet
+antispam
+attachments
+blogroll
+blowupConfig
+daInstaller
+fairTrackbacks
+importExport
+maintenance
+pages
+pings
+simpleMenu
+tags
+themeEditor
+userPref
+widgets
+"
+
+PO_LANG=$1
+PO_MODULE=$2
+
+if [ ! -d ./inc/core ]; then
+	echo "You are not on Dotclear root directory"
+	exit 1
+fi
+
+if [ ! -d locales/_pot ]; then
+	echo "Template not found."
+	exit 1
+fi
+
+extract_strings()
+{
+	$XGETTEXT \
+	-f- \
+	--sort-by-file \
+	-L PHP -k"__:1,2" -k"__:1" \
+	--no-wrap \
+	--foreign-user \
+	--from-code=UTF-8 \
+	"$@"
+}
+
+extract_html_strings()
+{
+	tee -
+	
+	$XGETTEXT \
+	- \
+	--sort-by-file \
+	-L PHP -k__ \
+	--no-wrap \
+	--foreign-user \
+	--from-code=UTF-8 \
+	"$@"
+}
+update_po()
+{
+	po_file=$1
+	pot_file=$2
+	po_dir=`dirname $1`
+	po_tmp=$po_dir/tmp.po~
+	
+	if [ ! -d $po_dir ]; then
+		mkdir $po_dir
+	fi
+	
+	if [ ! -f $po_file ]; then
+		cp $pot_file $po_file
+		perl -pi -e "s|; charset=CHARSET|; charset=UTF-8|sgi;" $po_file $po_file
+	fi
+	
+	$MSGMERGE --no-location --no-wrap -o $po_tmp $po_file $pot_file
+	mv $po_tmp $po_file
+}
+
+if [ -z "$PO_MODULE" ]; then
+	#
+	# Create po template files
+	#
+	echo "Building main PO template..."
+	find ./admin ./inc -name '*.php' -not -regex '.*/inc/public/.*' -print | \
+		extract_strings \
+		--package-name="Dotclear 2" \
+		-o locales/_pot/main.pot \
+		-x locales/_pot/date.pot
+	
+	echo "DONE"
+	
+	# plugins.pot
+	echo "Building plugins PO template..."
+	for p in $PLUGINS; do
+		find ./plugins/$p -name '*.php' -print
+	done | \
+		extract_strings \
+		--package-name="Dotclear 2" \
+		-o locales/_pot/plugins.pot \
+		-x locales/_pot/date.pot \
+		-x locales/_pot/main.pot
+	
+	echo "DONE"
+	
+	#
+	# Update locales/<lang> if needed
+	#
+	if [ -z "$PO_LANG" ]; then
+		exit 0;
+	fi
+	
+	# Init locale if not present
+	if [ ! -d locales/$PO_LANG ]; then
+		mkdir -p locales/$PO_LANG/help
+		
+		# Base help files
+		for i in locales/en/help/*.html; do
+			cp $i locales/$PO_LANG/help/core_`basename $i`
+		done
+		for i in $PLUGINS; do
+			if [ -f plugins/$i/help.html ]; then
+				cp plugins/$i/help.html locales/$PO_LANG/help/$i.html
+			fi
+		done
+	fi
+	
+	# update main.po
+	echo "Updating <$PO_LANG> po files..."
+	update_po ./locales/$PO_LANG/main.po ./locales/_pot/main.pot
+	update_po ./locales/$PO_LANG/plugins.po ./locales/_pot/plugins.pot
+	update_po ./locales/$PO_LANG/public.po ./locales/_pot/public.pot
+	update_po ./locales/$PO_LANG/date.po ./locales/_pot/date.pot
+else
+	#
+	# Plugin language update
+	#
+	
+	if [ ! -d $PO_MODULE ]; then
+		echo "Module $PO_MODULE does not exist"
+		exit 1
+	fi
+	echo "Module $PO_MODULE language update"
+	
+	
+	#
+	# Building po template file
+	#
+	if [ ! -d $PO_MODULE/locales/_pot ]; then
+		mkdir -p $PO_MODULE/locales/_pot
+	fi
+	echo "Building main PO template..."
+	echo '<?php' >$PO_MODULE/__html_tpl_dummy.php 
+	find $PO_MODULE -name '*.html' -exec grep -o '{{tpl:lang [^}]*}}' {} \; | sed 's/{{tpl:lang \(.*\)}}$/__\("\1")/' | sort -u \
+		>> $PO_MODULE/__html_tpl_dummy.php
+	sed -i "" 's/\$/\\\$/g' $PO_MODULE/__html_tpl_dummy.php 
+	
+	find $PO_MODULE -name '*.php' -print | \
+		extract_strings \
+		--package-name="Dotclear 2 `basename $PO_MODULE` module" \
+		-o $PO_MODULE/locales/_pot/main.pot \
+		-x locales/_pot/date.pot -x locales/_pot/main.pot -x locales/_pot/public.pot -x locales/_pot/plugins.pot
+	
+	rm -f $PO_MODULE/__html_tpl_dummy.php
+	
+	echo "DONE"
+	
+	#
+	# Update locale/<lang>
+	#
+	if [ ! -d $PO_MODULE/locales/$PO_LANG ]; then
+		mkdir -p $PO_MODULE/locales/$PO_LANG
+	fi
+	echo "Updating module <$PO_MODULE> main <$PO_LANG> po file... "
+	update_po $PO_MODULE/locales/$PO_LANG/main.po $PO_MODULE/locales/_pot/main.pot
+fi
Index: plugins/importExport/inc/lib.ie.maintenance.php
===================================================================
--- plugins/importExport/inc/lib.ie.maintenance.php	(revision 1959)
+++ plugins/importExport/inc/lib.ie.maintenance.php	(revision 1955)
@@ -24,4 +24,5 @@
 		$this->name = __('Database export');
 		$this->task = __('Download database of current blog');
+		$this->step = __('Zip file ready to be downloaded.');
 
 		$this->export_name = html::escapeHTML($this->core->blog->id.'-backup.txt');
@@ -31,6 +32,10 @@
 	public function execute()
 	{
-		// Create zip file
-		if (!empty($_POST['file_name'])) {
+		// 1) Create zip file
+		if (!isset($_SESSION['export_file']) || !file_exists($_SESSION['export_file'])) {
+			// Bad hack to skip one step
+			$_POST['file_name'] = date('Y-m-d-H-i-').$this->export_name;
+			$_POST['file_zip'] = 1;
+
 			// This process make an http redirect
 			$ie = new maintenanceDcExportFlat($this->core);
@@ -38,14 +43,6 @@
 			$ie->process($this->export_type);
 		}
-		// Go to step and show form
+		// 2) Download zip file
 		else {
-			return 1;
-		}
-	}
-
-	public function step()
-	{
-		// Download zip file
-		if (isset($_SESSION['export_file']) && file_exists($_SESSION['export_file'])) {
 			// Log task execution here as we sent file and stop script
 			$this->log();
@@ -56,14 +53,12 @@
 			$ie->process('ok');
 		}
-		else {
-			return 
-			'<p><label for="file_name">'.__('File name:').'</label>'.
-			form::field('file_name', 50, 255, date('Y-m-d-H-i-').$this->export_name).
-			'</p>'.
-			'<p><label for="file_zip" class="classic">'.
-			form::checkbox('file_zip', 1).' '.
-			__('Compress file').'</label>'.
-			'</p>';
-		}
+
+		return null;
+	}
+
+	public function step()
+	{
+		return isset($_SESSION['export_file']) && file_exists($_SESSION['export_file']) ?
+			$this->step : null;
 	}
 }
@@ -81,4 +76,5 @@
 		$this->name = __('Database export');
 		$this->task = __('Download database of all blogs');
+		$this->step = __('Zip file ready to be downloaded.');
 
 		$this->export_name = 'dotclear-backup.txt';
@@ -88,6 +84,10 @@
 	public function execute()
 	{
-		// Create zip file
-		if (!empty($_POST['file_name'])) {
+		// 1) Create zip file
+		if (!isset($_SESSION['export_file']) || !file_exists($_SESSION['export_file'])) {
+			// Bad hack to skip one step
+			$_POST['file_name'] = date('Y-m-d-H-i-').$this->export_name;
+			$_POST['file_zip'] = 1;
+
 			// This process make an http redirect
 			$ie = new maintenanceDcExportFlat($this->core);
@@ -95,14 +95,6 @@
 			$ie->process($this->export_type);
 		}
-		// Go to step and show form
+		// 2) Download zip file
 		else {
-			return 1;
-		}
-	}
-
-	public function step()
-	{
-		// Download zip file
-		if (isset($_SESSION['export_file']) && file_exists($_SESSION['export_file'])) {
 			// Log task execution here as we sent file and stop script
 			$this->log();
@@ -113,14 +105,12 @@
 			$ie->process('ok');
 		}
-		else {
-			return 
-			'<p><label for="file_name">'.__('File name:').'</label>'.
-			form::field('file_name', 50, 255, date('Y-m-d-H-i-').$this->export_name).
-			'</p>'.
-			'<p><label for="file_zip" class="classic">'.
-			form::checkbox('file_zip', 1).' '.
-			__('Compress file').'</label>'.
-			'</p>';
-		}
+
+		return null;
+	}
+
+	public function step()
+	{
+		return isset($_SESSION['export_file']) && file_exists($_SESSION['export_file']) ?
+			$this->step : null;
 	}
 }
Index: plugins/maintenance/_services.php
===================================================================
--- plugins/maintenance/_services.php	(revision 1959)
+++ plugins/maintenance/_services.php	(revision 1925)
@@ -46,5 +46,4 @@
 		$task->code((integer) $post['code']);
 		if (($code = $task->execute()) === true) {
-			$maintenance->setLog($task->id());
 			$code = 0;
 		}
Index: plugins/maintenance/inc/class.dc.maintenance.task.php
===================================================================
--- plugins/maintenance/inc/class.dc.maintenance.task.php	(revision 1959)
+++ plugins/maintenance/inc/class.dc.maintenance.task.php	(revision 1955)
@@ -25,5 +25,4 @@
 	protected $code;
 	protected $ts = 604800; // one week
-	protected $ajax = false;
 
 	protected $id;
@@ -140,17 +139,4 @@
 
 	/**
-	 * Use ajax
-	 *
-	 * Is task use maintenance ajax script 
-	 * for steps process.
-	 *
-	 * @return	<b>boolean</b>	Use ajax
-	 */
-	public function ajax()
-	{
-		return (boolean) $this->ajax;
-	}
-
-	/**
 	 * Get task message.
 	 *
Index: plugins/maintenance/inc/tasks/class.dc.maintenance.indexcomments.php
===================================================================
--- plugins/maintenance/inc/tasks/class.dc.maintenance.indexcomments.php	(revision 1959)
+++ plugins/maintenance/inc/tasks/class.dc.maintenance.indexcomments.php	(revision 1925)
@@ -14,5 +14,4 @@
 class dcMaintenanceIndexcomments extends dcMaintenanceTask
 {
-	protected $ajax = true;
 	protected $group = 'index';
 	protected $limit = 500;
Index: plugins/maintenance/inc/tasks/class.dc.maintenance.indexposts.php
===================================================================
--- plugins/maintenance/inc/tasks/class.dc.maintenance.indexposts.php	(revision 1959)
+++ plugins/maintenance/inc/tasks/class.dc.maintenance.indexposts.php	(revision 1925)
@@ -14,5 +14,4 @@
 class dcMaintenanceIndexposts extends dcMaintenanceTask
 {
-	protected $ajax = true;
 	protected $group = 'index';
 	protected $limit = 500;
Index: plugins/maintenance/index.php
===================================================================
--- plugins/maintenance/index.php	(revision 1959)
+++ plugins/maintenance/index.php	(revision 1955)
@@ -70,8 +70,8 @@
 dcPage::jsPageTabs($tab);
 
-if ($task && $task->ajax()) {
+if (0){//$task) {
 	echo 
 	'<script type="text/javascript">'."\n".
-	"//<![CDATA[\n".
+	"//<![CDATA\n".
 	dcPage::jsVar('dotclear.msg.wait', __('Please wait...')).
 	"//]]>\n".
@@ -87,5 +87,7 @@
 // Success message
 
-$msg = $task && !empty($_GET['done']) ? dcPage::success($task->success(),true,true,false) : '';
+if ($task && !empty($_GET['done'])) {
+	dcPage::success($task->success());
+}
 
 if ($task && ($res = $task->step()) !== null) {
@@ -100,6 +102,4 @@
 		)
 	);
-
-	echo $msg;
 
 	// Intermediate task (task required several steps)
@@ -135,6 +135,4 @@
 	);
 
-	echo $msg;
-
 	// Simple task (with only a button to start it)
 
Index: plugins/maintenance/js/dc.maintenance.js
===================================================================
--- plugins/maintenance/js/dc.maintenance.js	(revision 1959)
+++ plugins/maintenance/js/dc.maintenance.js	(revision 1925)
@@ -35,5 +35,5 @@
 						dcMaintenanceStep(box,code);
 					} else {
-						$('#content h2').after($('<div/>').addClass('success').append($('.step-msg',box)));
+						$('.step-msg',box).addClass('success');
 						$('.step-wait',box).remove();
 						$('.step-back',box).show();
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 1948)
+++ plugins/pages/page.php	(revision 1964)
@@ -398,10 +398,10 @@
 					'</p>',
 				'post_lang' =>
-					'<p><label for="post_lang" class="ib">'.__('Page lang').'</label>'.
+					'<p><label for="post_lang" class="ib">'.__('Page language').'</label>'.
 					form::combo('post_lang',$lang_combo,$post_lang).
 					'</p>',
 				'post_format' =>
 					'<div>'.
-					'<h5 id="label_format"><label for="post_format" class="ib">'.__('Text formating').'</label></h5>'.
+					'<h5 id="label_format"><label for="post_format" class="ib">'.__('Text formatting').'</label></h5>'.
 					'<p>'.form::combo('post_format',$formaters_combo,$post_format,'maximal').
 					'</p>'.
@@ -410,5 +410,5 @@
 					__('Convert to XHTML').'</a></p></div>')),
 		'metas-box' => array(
-			'title' => __('Ordering'),
+			'title' => __('Filing'),
 			'items' => array(
 				'post_position' => 
